Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs	(revision 484)
@@ -69,17 +69,17 @@
 
         #endregion
 
-        #region SELECT　SQL作成
+        #region テーブルのフィールドリストを作成する
         /// <summary>
-        /// SQL作成
+        /// テーブルのフィールドリストを作成する
         /// </summary>
-        private string CreateSelectSQL()
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
         {
             StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd.Append("SELECT ");
-
+                strcmd.Append(" ");
                 bool bColFirst = true;
                 string strWork = string.Empty;
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
@@ -88,21 +88,40 @@
                     if (!bColFirst) strcmd.Append(",");
                     if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
                     {
-                        strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
                     }
                     else if (strWork.Equals("BillingDate") || strWork.Equals("BillConfirmDate"))
                     {
-                        strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
                     }
                     else
                     {
-                        strcmd.AppendFormat(" {0}", strWork);
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
                     }
                     bColFirst = false;
                 }
 
-                strcmd.Append(" FROM RequestHead");
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
 
+        #region SELECT　SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM RequestHead", CreateFieldNameList());
+
                 return strcmd.ToString();
             }
             catch (Exception ex)
@@ -215,26 +234,26 @@
                 }
                 strcmd.Append(") VALUES (");
 
-                strcmd.AppendFormat(" {0}", data.RequestNo.ToString());
+                strcmd.AppendFormat(" {0}", data.RequestNo);
 
-                strcmd.AppendFormat(", {0}", data.ReqConstructionCode.ToString());
-                strcmd.AppendFormat(", {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(", {0}", data.ReqConstructionCode);
+                strcmd.AppendFormat(", {0}", data.OrderNo);
 
-                strcmd.AppendFormat(", {0}", data.RequestMonth.ToString());
-                strcmd.AppendFormat(", {0}", data.OrderersDivision.ToString());
-                strcmd.AppendFormat(", {0}", data.OrderersCode.ToString());
-                strcmd.AppendFormat(", '{0}'", data.OrderersName.ToString());
-                strcmd.AppendFormat(", '{0}'", data.ReqConstructionName.ToString());
-                strcmd.AppendFormat(", {0}", data.RequestTotalAmount.ToString());
-                strcmd.AppendFormat(", {0}", data.RequestAmount.ToString());
-                strcmd.AppendFormat(", {0}", data.TaxAmount.ToString());
-                strcmd.AppendFormat(", {0}", data.UnpaidAmount.ToString());
-                strcmd.AppendFormat(", '{0}'", data.Note.ToString());    
-                strcmd.AppendFormat(", {0}", data.AssignedFlg.ToString());
-                strcmd.AppendFormat(", {0}", data.InvoiceNo.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestMonth);
+                strcmd.AppendFormat(", {0}", data.OrderersDivision);
+                strcmd.AppendFormat(", {0}", data.OrderersCode);
+                strcmd.AppendFormat(", {0}", SeparateString(data.OrderersName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.ReqConstructionName));
+                strcmd.AppendFormat(", {0}", data.RequestTotalAmount);
+                strcmd.AppendFormat(", {0}", data.RequestAmount);
+                strcmd.AppendFormat(", {0}", data.TaxAmount);
+                strcmd.AppendFormat(", {0}", data.UnpaidAmount);
+                strcmd.AppendFormat(", {0}", SeparateString(data.Note));    
+                strcmd.AppendFormat(", {0}", data.AssignedFlg);
+                strcmd.AppendFormat(", {0}", data.InvoiceNo);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.BillingDate.ToShortDateString());
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.BillConfirmDate.ToShortDateString());
-                strcmd.AppendFormat(", {0}", data.DeleteFlg.ToString());
+                strcmd.AppendFormat(", {0}", data.DeleteFlg);
 
                 strcmd.Append(", NOW()");
                 strcmd.Append(", NOW()");
@@ -280,26 +299,26 @@
                     if (bDataFirst) strcmd.Append(" (");
                     else strcmd.Append(", (");
 
-                    strcmd.AppendFormat(" {0}", work.RequestNo.ToString());
+                    strcmd.AppendFormat(" {0}", work.RequestNo);
 
-                    strcmd.AppendFormat(", {0}", work.ReqConstructionCode.ToString());
-                    strcmd.AppendFormat(", {0}", work.OrderNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.ReqConstructionCode);
+                    strcmd.AppendFormat(", {0}", work.OrderNo);
 
-                    strcmd.AppendFormat(", {0}", work.RequestMonth.ToString());
-                    strcmd.AppendFormat(", {0}", work.OrderersDivision.ToString());
-                    strcmd.AppendFormat(", {0}", work.OrderersCode.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.OrderersName.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.ReqConstructionName.ToString());
-                    strcmd.AppendFormat(", {0}", work.RequestTotalAmount.ToString());
-                    strcmd.AppendFormat(", {0}", work.RequestAmount.ToString());
-                    strcmd.AppendFormat(", {0}", work.TaxAmount.ToString());
-                    strcmd.AppendFormat(", {0}", work.UnpaidAmount.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.Note.ToString());
-                    strcmd.AppendFormat(", {0}", work.AssignedFlg.ToString());
-                    strcmd.AppendFormat(", {0}", work.InvoiceNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.RequestMonth);
+                    strcmd.AppendFormat(", {0}", work.OrderersDivision);
+                    strcmd.AppendFormat(", {0}", work.OrderersCode);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.OrderersName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ReqConstructionName));
+                    strcmd.AppendFormat(", {0}", work.RequestTotalAmount);
+                    strcmd.AppendFormat(", {0}", work.RequestAmount);
+                    strcmd.AppendFormat(", {0}", work.TaxAmount);
+                    strcmd.AppendFormat(", {0}", work.UnpaidAmount);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
+                    strcmd.AppendFormat(", {0}", work.AssignedFlg);
+                    strcmd.AppendFormat(", {0}", work.InvoiceNo);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.BillingDate.ToShortDateString());
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.BillConfirmDate.ToShortDateString());
-                    strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
+                    strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
                     strcmd.Append(", NOW()");
                     strcmd.Append(", NOW()");
@@ -338,27 +357,27 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" ReqConstructionCode = {0}", data.ReqConstructionCode.ToString());
-                strcmd.AppendFormat(",OrderNo = {0}", data.OrderNo.ToString());
-                strcmd.AppendFormat(",RequestMonth = {0}", data.RequestMonth.ToString());
+                strcmd.AppendFormat(" ReqConstructionCode = {0}", data.ReqConstructionCode);
+                strcmd.AppendFormat(",OrderNo = {0}", data.OrderNo);
+                strcmd.AppendFormat(",RequestMonth = {0}", data.RequestMonth);
 
-                strcmd.AppendFormat(",OrderersDivision = {0}", data.OrderersDivision.ToString());
-                strcmd.AppendFormat(",OrderersCode = {0}", data.OrderersCode.ToString());
-                strcmd.AppendFormat(",OrderersName = '{0}'", data.OrderersName.ToString());
+                strcmd.AppendFormat(",OrderersDivision = {0}", data.OrderersDivision);
+                strcmd.AppendFormat(",OrderersCode = {0}", data.OrderersCode);
+                strcmd.AppendFormat(",OrderersName = {0}", SeparateString(data.OrderersName));
 
 
-                strcmd.AppendFormat(",ReqConstructionName = '{0}'", data.ReqConstructionName.ToString());
-                strcmd.AppendFormat(",RequestTotalAmount = {0}", data.RequestTotalAmount.ToString());
-                strcmd.AppendFormat(",RequestAmount = {0}", data.RequestAmount.ToString());
-                strcmd.AppendFormat(",TaxAmount = {0}", data.TaxAmount.ToString());
-                strcmd.AppendFormat(",UnpaidAmount = {0}", data.UnpaidAmount.ToString());
-                strcmd.AppendFormat(",Note = '{0}'", data.Note.ToString());
+                strcmd.AppendFormat(",ReqConstructionName = {0}", SeparateString(data.ReqConstructionName));
+                strcmd.AppendFormat(",RequestTotalAmount = {0}", data.RequestTotalAmount);
+                strcmd.AppendFormat(",RequestAmount = {0}", data.RequestAmount);
+                strcmd.AppendFormat(",TaxAmount = {0}", data.TaxAmount);
+                strcmd.AppendFormat(",UnpaidAmount = {0}", data.UnpaidAmount);
+                strcmd.AppendFormat(",Note = {0}", SeparateString(data.Note));
                 
-                strcmd.AppendFormat(",AssignedFlg = {0}", data.AssignedFlg.ToString());
-                strcmd.AppendFormat(",InvoiceNo = {0}", data.InvoiceNo.ToString());
+                strcmd.AppendFormat(",AssignedFlg = {0}", data.AssignedFlg);
+                strcmd.AppendFormat(",InvoiceNo = {0}", data.InvoiceNo);
                 strcmd.AppendFormat(",BillingDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.BillingDate.ToShortDateString());
                 strcmd.AppendFormat(",BillConfirmDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.BillConfirmDate.ToShortDateString());
-                strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+                strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg);
 
                 strcmd.Append(", UpdateDate = NOW()");
 
@@ -437,10 +456,10 @@
                         strcmd.AppendFormat(" OrderersCode = {0}", (int)value);
                         break;
                     case (int)NameColumn.OrderersName:
-                        strcmd.AppendFormat(" OrderersName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" OrderersName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.ReqConstructionName:
-                        strcmd.AppendFormat(" ReqConstructionName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ReqConstructionName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.RequestTotalAmount:
                         strcmd.AppendFormat(" RequestTotalAmount = {0}", (long)value);
@@ -455,7 +474,7 @@
                         strcmd.AppendFormat(" UnpaidAmount = {0}", (long)value);
                         break;
                     case (int)NameColumn.Note:
-                        strcmd.AppendFormat(" Note = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Note = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.AssignedFlg:
                         strcmd.AppendFormat(" AssignedFlg = {0}", (long)value);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestOrderDate.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestOrderDate.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestOrderDate.cs	(revision 484)
@@ -53,6 +53,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("SendDate"))
+                    {
+                        strcmd.AppendFormat(" DATE({0}{1}) As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 請求書日付データ検索文字列作成
         /// <summary>
         /// 請求書日付データ検索文字列作成
@@ -61,16 +103,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM RequestOrderDate", CreateFieldNameList());
 
-            strcmd.Append("SELECT");
-            strcmd.Append(" ConstructionCode");                                  // 工事番号
-            strcmd.Append(", InvoiceNo");                                        // 請求書No
-            strcmd.Append(", DATE_FORMAT(SendDate, '%Y/%m/%d')");                // 請求書発給郵送日
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM RequestOrderDate");
-
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSFPData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSFPData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSFPData.cs	(revision 484)
@@ -201,7 +201,7 @@
                     strcmd.AppendFormat(", {0}", work.DataCount);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.RequestDate);
                     strcmd.AppendFormat(", {0}", work.PersonCode);
-                    strcmd.AppendFormat(",'{0}'", work.StringValue);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.StringValue));
                     strcmd.AppendFormat(", {0}", work.OrderNo);
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -252,7 +252,7 @@
                 strcmd.AppendFormat(", {0}", work.DataCount);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.RequestDate);
                 strcmd.AppendFormat(", {0}", work.PersonCode);
-                strcmd.AppendFormat(",'{0}'", work.StringValue);
+                strcmd.AppendFormat(", {0}", SeparateString(work.StringValue));
                 strcmd.AppendFormat(", {0}", work.OrderNo);
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -292,7 +292,7 @@
                 strcmd.AppendFormat(", DataCount = {0}", data.DataCount);
                 strcmd.AppendFormat(", RequestDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.RequestDate);
                 strcmd.AppendFormat(", PersonCode = {0}", data.PersonCode);
-                strcmd.AppendFormat(", StringValue = '{0}'", data.StringValue);
+                strcmd.AppendFormat(", StringValue = {0}", SeparateString(data.StringValue));
                 strcmd.AppendFormat(", OrderNo = {0}", data.OrderNo);
 
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs	(revision 484)
@@ -16,7 +16,7 @@
 namespace ProcessManagement.DB.IOAccess
 {
     /// <summary>
-    /// 行動予定アクセスクラス
+    /// 売上グラフデータアクセスクラス
     /// </summary>
     public class IOSalesGraphData : MySqlProcess
     {
@@ -29,7 +29,7 @@
 
         #region 定数
         /// <summary>
-        /// 行動予定フィールド並び
+        /// 売上グラフデータフィールド並び
         /// </summary>
         public enum NameColumn
         {
@@ -61,10 +61,10 @@
 
         #region パブリックメソッド
         /// <summary>
-        /// 行動予定検索
+        /// 売上グラフデータ検索
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">売上グラフデータデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<SalesGraphData> data, bool bConnect = true)
         {
@@ -112,9 +112,9 @@
         }
 
         /// <summary>
-        /// 行動予定追加
+        /// 売上グラフデータ追加
         /// </summary>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">売上グラフデータデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertOneAction(SalesGraphData data, bool bConnect = true)
         {
@@ -136,7 +136,7 @@
                 strcmd.AppendFormat(",{0}", data.ConstructionPeriod.ToString());
                 strcmd.AppendFormat(",DATE_FORMAT('{0}','%Y/%m/%d')", data.SalesDataDays.ToShortDateString());
                 strcmd.AppendFormat(",{0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(",'{0}'", data.DataName);
+                strcmd.AppendFormat(",{0}", SeparateString(data.DataName));
                 strcmd.AppendFormat(",{0}", data.SalesAmount.ToString());
                 strcmd.AppendFormat(",{0}", data.AdministrativeExpense.ToString());
                 strcmd.AppendFormat(",{0}", data.GrossProfit.ToString());
@@ -182,7 +182,7 @@
                     strcmd.AppendFormat(",{0}", work.ConstructionPeriod.ToString());
                     strcmd.AppendFormat(",DATE_FORMAT('{0}','%Y/%m/%d')", work.SalesDataDays.ToShortDateString());
                     strcmd.AppendFormat(",{0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.DataName);
+                    strcmd.AppendFormat(",{0}", SeparateString(work.DataName));
                     strcmd.AppendFormat(",{0}", work.SalesAmount.ToString());
                     strcmd.AppendFormat(",{0}", work.AdministrativeExpense.ToString());
                     strcmd.AppendFormat(",{0}", work.GrossProfit.ToString());
@@ -207,10 +207,10 @@
         }
 
         /// <summary>
-        /// 行動予定更新
+        /// 売上グラフデータ更新
         /// </summary>
         /// <param name="AddSQLString">更新条件SQL文字列</param>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">売上グラフデータデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SalesGraphData data, bool bConnect = true)
         {
@@ -226,7 +226,7 @@
                 strcmd.AppendFormat(",ConstructionPeriod = {0}", data.ConstructionPeriod.ToString());
                 strcmd.AppendFormat(",SalesDataDays = STR_TO_DATE('{0}','%Y/%m/%d')", data.SalesDataDays.ToShortDateString());
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(",DataName = '{0}'", data.DataName);
+                strcmd.AppendFormat(",DataName = {0}", SeparateString(data.DataName));
                 strcmd.AppendFormat(",SalesAmount = {0}", data.SalesAmount.ToString());
                 strcmd.AppendFormat(",AdministrativeExpense = {0}", data.AdministrativeExpense.ToString());
                 strcmd.AppendFormat(",GrossProfit = {0}", data.GrossProfit.ToString());
@@ -248,10 +248,10 @@
 
 
         /// <summary>
-        /// 行動予定削除
+        /// 売上グラフデータ削除
         /// </summary>
         /// <param name="AddSQLString">削除条件SQL文字列</param>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">売上グラフデータデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
@@ -287,10 +287,10 @@
                 wrk.SalesDataDays = DateTime.Parse(objwrk[(int)NameColumn.SalesDataDays].ToString());
                 wrk.DisplayOrder = int.Parse(objwrk[(int)NameColumn.DisplayOrder].ToString());
                 wrk.DataName = objwrk[(int)NameColumn.DataName].ToString();
-                wrk.SalesAmount = int.Parse(objwrk[(int)NameColumn.SalesAmount].ToString());
-                wrk.AdministrativeExpense = int.Parse(objwrk[(int)NameColumn.AdministrativeExpense].ToString());
-                wrk.GrossProfit = int.Parse(objwrk[(int)NameColumn.GrossProfit].ToString());
-                wrk.NetIncome = int.Parse(objwrk[(int)NameColumn.NetIncome].ToString());
+                wrk.SalesAmount = long.Parse(objwrk[(int)NameColumn.SalesAmount].ToString());
+                wrk.AdministrativeExpense = long.Parse(objwrk[(int)NameColumn.AdministrativeExpense].ToString());
+                wrk.GrossProfit = long.Parse(objwrk[(int)NameColumn.GrossProfit].ToString());
+                wrk.NetIncome = long.Parse(objwrk[(int)NameColumn.NetIncome].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConMailQueue.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConMailQueue.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConMailQueue.cs	(revision 484)
@@ -199,15 +199,15 @@
                 }
                 strcmd.Append(") VALUES (");
 
-                strcmd.AppendFormat("  {0}", data.SeqNo);           // 連番
-                strcmd.AppendFormat(", {0}", data.CompanyCode);     // 協力会社コード
-                strcmd.AppendFormat(", {0}", data.MailDelivery);    // 送信先設定番号
-                strcmd.AppendFormat(", '{0}'", data.Argument0);     // メール挿入文字０
-                strcmd.AppendFormat(", '{0}'", data.Argument1);     // メール挿入文字１
-                strcmd.AppendFormat(", '{0}'", data.Argument2);     // メール挿入文字２
-                strcmd.AppendFormat(", '{0}'", data.Argument3);     // メール挿入文字３
-                strcmd.AppendFormat(", '{0}'", data.Argument4);     // メール挿入文字４
-                strcmd.AppendFormat(", {0}", data.Status);          // ステータス
+                strcmd.AppendFormat("  {0}", data.SeqNo);                       // 連番
+                strcmd.AppendFormat(", {0}", data.CompanyCode);                 // 協力会社コード
+                strcmd.AppendFormat(", {0}", data.MailDelivery);                // 送信先設定番号
+                strcmd.AppendFormat(", {0}", SeparateString(data.Argument0));   // メール挿入文字０
+                strcmd.AppendFormat(", {0}", SeparateString(data.Argument1));   // メール挿入文字１
+                strcmd.AppendFormat(", {0}", SeparateString(data.Argument2));   // メール挿入文字２
+                strcmd.AppendFormat(", {0}", SeparateString(data.Argument3));   // メール挿入文字３
+                strcmd.AppendFormat(", {0}", SeparateString(data.Argument4));   // メール挿入文字４
+                strcmd.AppendFormat(", {0}", data.Status);                      // ステータス
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
@@ -253,15 +253,15 @@
                     if (bDataFirst) strcmd.Append(" (");
                     else strcmd.Append(", (");
 
-                    strcmd.AppendFormat("  {0}", work.SeqNo);           // 連番
-                    strcmd.AppendFormat(", {0}", work.CompanyCode);     // 協力会社コード
-                    strcmd.AppendFormat(", {0}", work.MailDelivery);    // 送信先設定番号
-                    strcmd.AppendFormat(", '{0}'", work.Argument0);     // メール挿入文字０
-                    strcmd.AppendFormat(", '{0}'", work.Argument1);     // メール挿入文字１
-                    strcmd.AppendFormat(", '{0}'", work.Argument2);     // メール挿入文字２
-                    strcmd.AppendFormat(", '{0}'", work.Argument3);     // メール挿入文字３
-                    strcmd.AppendFormat(", '{0}'", work.Argument4);     // メール挿入文字４
-                    strcmd.AppendFormat(", {0}", work.Status);          // ステータス
+                    strcmd.AppendFormat("  {0}", work.SeqNo);                       // 連番
+                    strcmd.AppendFormat(", {0}", work.CompanyCode);                 // 協力会社コード
+                    strcmd.AppendFormat(", {0}", work.MailDelivery);                // 送信先設定番号
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Argument0));   // メール挿入文字０
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Argument1));   // メール挿入文字１
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Argument2));   // メール挿入文字２
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Argument3));   // メール挿入文字３
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Argument4));   // メール挿入文字４
+                    strcmd.AppendFormat(", {0}", work.Status);                      // ステータス
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -298,15 +298,15 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" SeqNo = {0}", data.SeqNo);                    // 連番
-                strcmd.AppendFormat(", CompanyCode = {0}", data.CompanyCode);       // 協力会社コード
-                strcmd.AppendFormat(", MailDelivery = {0}", data.MailDelivery);     // 送信先設定番号
-                strcmd.AppendFormat(", Argument0 = '{0}'", data.Argument0);         // メール挿入文字０
-                strcmd.AppendFormat(", Argument1 = '{0}'", data.Argument1);         // メール挿入文字１
-                strcmd.AppendFormat(", Argument2 = '{0}'", data.Argument2);         // メール挿入文字２
-                strcmd.AppendFormat(", Argument3 = '{0}'", data.Argument3);         // メール挿入文字３
-                strcmd.AppendFormat(", Argument4 = '{0}'", data.Argument4);         // メール挿入文字４
-                strcmd.AppendFormat(", Status = {0}", data.Status);                 // ステータス
+                strcmd.AppendFormat(" SeqNo = {0}", data.SeqNo);                                // 連番
+                strcmd.AppendFormat(", CompanyCode = {0}", data.CompanyCode);                   // 協力会社コード
+                strcmd.AppendFormat(", MailDelivery = {0}", data.MailDelivery);                 // 送信先設定番号
+                strcmd.AppendFormat(", Argument0 = {0}", SeparateString(data.Argument0));       // メール挿入文字０
+                strcmd.AppendFormat(", Argument1 = {0}", SeparateString(data.Argument1));       // メール挿入文字１
+                strcmd.AppendFormat(", Argument2 = {0}", SeparateString(data.Argument2));       // メール挿入文字２
+                strcmd.AppendFormat(", Argument3 = {0}", SeparateString(data.Argument3));       // メール挿入文字３
+                strcmd.AppendFormat(", Argument4 = {0}", SeparateString(data.Argument4));       // メール挿入文字４
+                strcmd.AppendFormat(", Status = {0}", data.Status);                             // ステータス
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
